Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Parameters.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Parameters.h	(revision 88)
@@ -28,31 +28,31 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t            _size_write_queue             ;
-  public : const uint32_t            _size_execute_queue           ;
-  public : const uint32_t            _nb_context                   ;
-  public : const uint32_t            _nb_front_end                 ;
-  public : const uint32_t            _nb_ooo_engine                ;
-  public : const uint32_t            _nb_packet                    ;
-  public : const uint32_t            _size_general_data            ;
-  public : const uint32_t            _nb_general_register          ;
-  public : const uint32_t            _size_special_data            ;
-  public : const uint32_t            _nb_special_register          ;
-  public : const uint32_t            _nb_bypass_write              ;
+  public : uint32_t            _size_write_queue             ;
+  public : uint32_t            _size_execute_queue           ;
+  public : uint32_t            _nb_context                   ;
+  public : uint32_t            _nb_front_end                 ;
+  public : uint32_t            _nb_ooo_engine                ;
+  public : uint32_t            _nb_packet                    ;
+//public : uint32_t            _size_general_data            ;
+  public : uint32_t            _nb_general_register          ;
+//public : uint32_t            _size_special_data            ;
+  public : uint32_t            _nb_special_register          ;
+  public : uint32_t            _nb_bypass_write              ;
 
-  public : const uint32_t            _nb_gpr_write                 ;
-  public : const uint32_t            _nb_spr_write                 ;
+  public : uint32_t            _nb_gpr_write                 ;
+  public : uint32_t            _nb_spr_write                 ;
 
-  public : const uint32_t            _size_context_id              ;
-  public : const uint32_t            _size_front_end_id            ;
-  public : const uint32_t            _size_ooo_engine_id           ;
-  public : const uint32_t            _size_packet_id               ;
-  public : const uint32_t            _size_general_register        ;
-  public : const uint32_t            _size_special_register        ;
+//public : uint32_t            _size_context_id              ;
+//public : uint32_t            _size_front_end_id            ;
+//public : uint32_t            _size_ooo_engine_id           ;
+//public : uint32_t            _size_packet_id               ;
+//public : uint32_t            _size_general_register        ;
+//public : uint32_t            _size_special_register        ;
 
-  public : const bool                _have_component_execute_queue ;
-  public : const bool                _have_port_context_id         ;
-  public : const bool                _have_port_front_end_id       ;
-  public : const bool                _have_port_ooo_engine_id      ;
-  public : const bool                _have_port_packet_id          ;
+  public : bool                _have_component_execute_queue ;
+//public : bool                _have_port_context_id         ;
+//public : bool                _have_port_front_end_id       ;
+//public : bool                _have_port_ooo_engine_id      ;
+//public : bool                _have_port_packet_id          ;
 
   public : morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue  ::Parameters * _param_write_queue;
@@ -70,7 +70,10 @@
 			uint32_t size_special_data  ,
 			uint32_t nb_special_register,
-			uint32_t nb_bypass_write    );
-  public : Parameters  (Parameters & param) ;
+			uint32_t nb_bypass_write    ,
+                        bool     is_toplevel=false);
+//public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
+
+  public :        void            copy       (void);
 
   public :        Parameters_test msg_error  (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Write_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Write_unit.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/include/Write_unit.h	(revision 88)
@@ -95,4 +95,5 @@
   public    : SC_OUT(Tcontrol_t        )    * out_WRITE_UNIT_OUT_NO_SEQUENCE  ;
   public    : SC_OUT(Tgeneral_data_t   )    * out_WRITE_UNIT_OUT_ADDRESS      ;
+  public    : SC_OUT(Tgeneral_data_t   )    * out_WRITE_UNIT_OUT_DATA         ;
 
     // -----[ Interface "gpr_write" ]-------------------------------------
